Bug 460810 - evince x86_64 takes over screen displaying pdf ....
evince x86_64 takes over screen displaying pdf ....
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
20
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-01 07:41 EDT by William A. Mahaffey III
Modified: 2015-06-29 20:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:32:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
technical pdf I downloaded from web to read .... (1.27 MB, application/pdf)
2008-09-01 07:41 EDT, William A. Mahaffey III
no flags Details
LaTeX source (112 bytes, text/x-tex)
2014-11-19 10:18 EST, Jan "Yenya" Kasprzak
no flags Details
A2 landscape PDF (11.79 KB, application/pdf)
2014-11-19 10:20 EST, Jan "Yenya" Kasprzak
no flags Details

  None (edit)
Description William A. Mahaffey III 2008-09-01 07:41:15 EDT
Created attachment 315468 [details]
technical pdf I downloaded from web to read ....

Description of problem:evince mis-displays PDF file, uses whole screen (overlays *whole* desktop), I can't see wm-bar to exit app, must login remotely & kill the process


Version-Release number of selected component (if applicable):2.22.2-1.fc9


How reproducible: may be difficult, I tend to stay logged in for long periods (weeks) & this may be related. I attach a pdf which gave the symptom for me .... I invoked evince from the shell prompt & got the above symptom. When I went back & tried another pdf which worked OK, it now gives symptom as well ....


Steps to Reproduce: open attached pdf under evince from shell prompt from rxvt shell under gnome desktop. see if you see symptoms :-/ ....
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kieran Clancy 2008-10-04 21:11:39 EDT
I am having a similar problem, but it seems to be related to the browser plugin in Firefox. That is, if I have previously opened a PDF in firefox (using the browser plugin through mozplugger), trying to open one outside of Firefox causes this problem.
Comment 2 William A. Mahaffey III 2008-10-05 18:42:39 EDT
FWIW, this happened to me w/o the PDF plugin for FireFox :-/ (still don't have it, AAMOF) ....
Comment 3 Jan "Yenya" Kasprzak 2009-02-20 09:20:03 EST
This is still present on Fedora 10, please update the Version: tag.

When using a dual-head setup, evince even spans _both_ monitors, which is _very_ ugly.
Comment 4 D. Hugh Redelmeier 2009-04-04 00:12:31 EDT
I don't think that the original report involved firefox.

The reports involving firefox probably are instances of this problem:
  https://bugzilla.redhat.com/show_bug.cgi?id=456475
In particular, see my comment #7 that explains how multiple evince invocations behave.
Comment 5 Bug Zapper 2009-06-09 22:35:45 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 D. Hugh Redelmeier 2009-06-10 01:48:14 EDT
This bug is still in Fedora 10.

How can I change this report to apply to 10?
Comment 7 D. Hugh Redelmeier 2009-06-10 01:54:27 EDT
Sorry, I was confused.  It is this bug (probably related) that still exists in Fedora 10: https://bugzilla.redhat.com/show_bug.cgi?id=456475

Since that one was reported against 10, there is no problem closing this bug as WONTFIX.
Comment 8 William A. Mahaffey III 2009-06-13 18:09:50 EDT
This is *NOT* related to firefox, it happens when evince is invoked from the CLI directly, no firefox involved. Close it if you like, but don't confuse this w/ the above mentioned firefox/evince bug :-) ....
Comment 9 William A. Mahaffey III 2009-06-13 18:12:30 EDT
I just upgraded to FC11 64-bit this A.M., & this new evince does *NOT* show this buggy behavior :-). I guess you got this one after all, well done.
Comment 10 Jan "Yenya" Kasprzak 2009-06-18 05:35:18 EDT
I still quite often (but not always) see this bug in F11/x86_64 (evince-2.26.1-1.fc11.x86_64). When clicking to a PDF link from Galeon, it sometimes displays the window spanning over both of my screens. This sometimes happens even when displaying a PDF from the command line.

Evince probably tries to remember the mode in which it has been previously run, and maybe a per-PDF-file window dimensions, so when running it in fullscreen mode and exiting it, the new document then opens in the browser also in fullscreen mode. But even the fullscreen mode is sometimes handled incorrectly - for example, when I have previously opened a landscape-oriented PDF presentation, exited evince, and clicked to the portrait-oriented PDF from the browser, evince then comes up in the fullscreen mode (w/o WM decorations, and with "leave fullscreen mode" button), but covering only 2/3 of horizontal space
of the screen.

I still do not see a clear pattern here, but the problem is definitely present in F11 as well. William, can you double-check that the problem is really gone on your side?
Comment 11 William A. Mahaffey III 2009-06-18 09:46:39 EDT
I only did a single spot check (from CLI on a PDF file shortly after install & reboot) & it worked AOK, definitely *NOT* a thorough & systematic check out, sorry :-(. I have installed & gotten used to using xpdf, so I don't use evince as much as I used to. Your description of its behavior definitely fits my recollections, so I would very comfortably defer to your observations.
Comment 13 Jan "Yenya" Kasprzak 2009-11-20 02:56:40 EST
Still present in F12 - sometimes it opens the window spanning both desktops so large that its decorations are not displayed.

evince-2.28.1-5.fc12.x86_64
poppler-0.12.1-3.fc12.x86_64

Please somebody change the Version: tag to Fedora 12, I don't have permissions to do this.
Comment 14 Bug Zapper 2010-04-27 08:13:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Jan "Yenya" Kasprzak 2010-10-07 05:48:20 EDT
Still present in F13:

evince-2.30.3-1.fc13.x86_64
poppler-0.12.4-5.fc13.x86_64
Comment 16 Jan "Yenya" Kasprzak 2011-01-20 03:54:36 EST
Still present in F14:

evince-2.32.0-3.fc14.x86_64
poppler-0.14.5-1.fc14.x86_64

Are there any plans to fix this?
Comment 17 Jan "Yenya" Kasprzak 2012-06-18 06:23:32 EDT
Still present in F17:

evince-3.4.0-2.fc17.x86_64
poppler-0.18.4-3.fc17.x86_64

Are there any plans to fix this?
Comment 20 Fedora End Of Life 2013-07-04 01:23:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2013-08-01 12:25:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 22 Jan "Yenya" Kasprzak 2013-08-06 09:27:34 EDT
The bug is still present in F19, reopening.

evince-3.8.3-1.fc19.x86_64
poppler-0.22.1-4.fc19.x86_64
Comment 23 Marek Kašík 2014-11-19 09:14:18 EST
The PDF has "/PageMode /FullScreen" in it which means that it should be shown fullscreen. Esc key allows me to quit the fullscreen mode.
I have F21 here and the evince doesn't span both monitors.

Since the original description actually agrees with PDF specifications I'm closing this.

Regards

Marek
Comment 24 Jan "Yenya" Kasprzak 2014-11-19 10:17:53 EST
Well it might be fixed in F21 (not yet released), but your NOTABUG is definitely wrong. I have just tried to open a random PDF found in my home directory (a schematics drawing with A2 paper size), and evince did indeed span both monitors and more, even though the document itsef was not marked fullscreen.

Unlike the PDF linked to this bug, my PDF is not displayed fullscreen, it has window decorations and everything, but the window is about twice as wide as a single screen and a bit higher than the screen height.

poppler-0.24.3-3.fc20.x86_64
evince-3.10.3-1.fc20.x86_64

I have probably discovered how to reproduce it: use the attached LaTeX source, or the attached PDF created from it with pdflatex. Save it, run "evince <filename>.pdf". On my F20 system, it opens the window about 3230x1200 pixels big. I have two monitors side by side, 1600x1200 each. Subtract the xfce panels (about 48 pixels high) and the window decorations, and the maximum window size used by any sane application should be about 1580x1140.

The interesting thing is, that after I close the evince window (keeping it at its original geometry) and open a new evince with the same PDF, the new window is about 1500x999, which fits the single monitor. Subsequently opening the same file again and again yields the same window size 1500x999.

So apparently only the first time the PDF (of the same geometry?) is opened, it spans more than one monitor sometimes.

Looking at strace of evince, it opens $HOME/.local/share/gvfs-metadata/home and .../home-1755c155.log. I have tried to move these files to /tmp/, and after that the subsequent "evince <filename>.pdf" opens too big window again. So maybe it is something with gvfs caching and incorrectly guessing the window size the first time?

Should I reopen the bug or create a new one?
Comment 25 Jan "Yenya" Kasprzak 2014-11-19 10:18:34 EST
Created attachment 959039 [details]
LaTeX source
Comment 26 Jan "Yenya" Kasprzak 2014-11-19 10:20:07 EST
Created attachment 959040 [details]
A2 landscape PDF
Comment 27 Marek Kašík 2014-11-19 10:28:14 EST
Hi,

I've reopened this one. I'll look at it tomorrow.

Thank you for the info

Marek
Comment 28 Marek Kašík 2014-11-24 09:32:18 EST
Unfortunately I'm not able to reproduce this on F21 and I don't have a machine with F20 right now. I'll check it again if I'll get to a F20 machine.
Comment 29 Fedora End Of Life 2015-01-09 16:37:17 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 30 Jan "Yenya" Kasprzak 2015-01-09 17:11:39 EST
The problem described in comment #26 is still present on F20. Marek, did you manage to reproduce it?
Comment 31 Marek Kašík 2015-01-12 09:04:40 EST
Hi,

I've tried to reproduce it today but unsuccessfully. Which icon does the window has in its upper right corner? Is it the one offering maximization of the window or restoration of its unmaximized size?
Comment 32 Jan "Yenya" Kasprzak 2015-01-12 09:14:33 EST
Well, I use sawfish as my window manager, and it has the same icons both for maximized and normal windows :-)

However, when I click on the leftmost window decorations button, I get the pull-down menu with window options, and the second option reads "Unmaximize" (which only maximized windows have, other windows have "Maximize" here).

So I would guess the evince window is created with the "maximized" attribute in WM_HINTS or somewhere.
Comment 33 Fedora End Of Life 2015-05-29 04:35:32 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 34 Fedora End Of Life 2015-06-29 20:32:29 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.